Library Version 18.1.40

DB->get_ext_file_dir()
Prev | Chapter 13. External Files | Next

## DB->get_ext_file_dir()

    #include <db.h>

    int
    DB->get_ext_file_dir(DB *dbenv, const char **dirp);

The `DB->get_ext_file_dir()` method returns the directory location where external file data is stored. The default location can be set using DB->set_ext_file_dir() . Use this method only if the database was not opened in an environment. If the database was opened within an encompassing environment, use DB_ENV->get_ext_file_dir() instead.

The `DB->get_ext_file_dir()` method always returns 0 to indicate success.

### Parameters

#### dirp

The dirp parameter references memory into which is copied the path to the external file data directory.

### Class

DB_ENV

### See Also

External Files and Related Methods

Prev | Up | Next
Chapter 13. External Files | Home | DB->get_ext_file_threshold()